﻿// -----------------------------------------------------------------------
// <copyright file="Enums.cs" company="Eli Lilly and Company">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace ODataRegression.Framework.Core.Shared
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;


    public enum TestEngineSettingsTypes
    {
        TestTimeOut,
        TestBatchTimeOut,
        LogFileName,
        TraceOnly,
        UserName,
        Password,
        Domain,
        CertificateFile,
        MaxExecutionThreads,
        MinExecutionThreads,
        OutputRefreshInterval,
        UrlMapperClassName
    }

   public enum TestResultSettingsTypes
    {
        LogFileDropLocation,
        EmailSubscriptionAliases
    }

   public enum ODataTestNames
   {
       None,
       EndPointTest,
       Metadata,
       Count,
       Select,
       Skip,
       OrderBy,
       InlineCount,
       Top,
       Format,
       Filter,
       DownloadAllRecords
   }

   enum AtomDataTypes
   {
       Binary,
Boolean,
Byte,
DateTime,
DateTimeOffset,
Decimal,
Double,
Float,
Guid,
Int16,
Int32,
Int64,
SByte,
String,
Time


   }
}
