﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ODataRegression.Framework.Core.TestOM;
using ODataRegression.Framework.Core.MetaDataOM;
using ODataRegression.Framework.Core.Shared;
using System.Text.RegularExpressions;
using System.ComponentModel;
using System.Xml;
using ODataTestFrameworkCore.shared;

namespace ODataRegression.Framework.Core.Factories
{
    public class ODataDownloadAllRecordsTestFactory : ODataTestFactoryBase
    {
        //int maxTestGenerationCount;
        //int generatedTestCount;
        //Regex verificationToken;
        public override List<ODataTest> CreateTestList()
        {
            //List<ODataTest> testList = new List<ODataTest>();
            EntityBaseURL = entitySet.URL;
            QueryURLBase = EntityBaseURL;// +"?$select=";
            testName = ODataTestNames.DownloadAllRecords;
            testTile = "Verify that all records can be downloaded without any error.";

            //verificationToken = new Regex("<m:properties>");
            // If test type not defined in config then return null
            if (this.ISAvtiveTest)
            {
                FinalQueryURL = QueryURLBase ;
                FinalQueryURL = URLMappers.ApplyConfigMappingActions(FinalQueryURL);               
                //testList.Add(new ODataTest(serviceRoot, this.ServiceName, entitySet.CollectionName, 
                //    entitySet.Entity.Name, testName, testTile, FinalQueryURL, 
                //    UriResultType.Feed, verificationToken ));
                base.CreateTestList();
            }

            return testList;
        }

        public ODataDownloadAllRecordsTestFactory(string serviceRoot, string ServiceName, ODataEntitySet entityset )
            : base(serviceRoot, ServiceName, entityset )
        {
          
        }
    }
}
