﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ODataRegression.Framework.Core.TestOM;
using ODataRegression.Framework.Core.MetaDataOM;
using ODataRegression.Framework.Core.Shared;
using ODataTestFrameworkCore.shared;

namespace ODataRegression.Framework.Core.Factories
{
  public  class ODataMetadataTestFactory:ODataTestFactoryBase
    {
     
        public override List<ODataTest> CreateTestList()
        {
            //List<ODataTest> testList = new List<ODataTest>();
            this.FinalQueryURL = this.serviceRoot + "$metadata";
            this.testName = ODataTestNames.Metadata;
            this.testTile = "Verify that $metadata is working for selected service";
           

            if (this.ISAvtiveTest )
            {
                if (this.entitySet==null)
                {
                    base.CreateTestList();
                }
               
            } 

            return testList;
        }

        public ODataMetadataTestFactory(string serviceRoot, string ServiceName, ODataEntitySet entityset)
            :base( serviceRoot,  ServiceName,  entityset)
        {
            this.entitySet = entityset;
            this.ServiceName = ServiceName;
            this.serviceRoot = serviceRoot;
            this.verificationToken = null;
           
        }
    }
}
